Skip to main content
POST
/
partners
/
{sellerId}
/
orders
/
{uuid}
/
payment
/
ready-for-pickup
Mark payment ready for pickup.
curl --request POST \
  --url https://api.novatrade24.com/v1/partners/{sellerId}/orders/{uuid}/payment/ready-for-pickup \
  --header 'Authorization: Bearer <token>' \
  --header 'Idempotency-Key: <idempotency-key>'
{
  "paymentDate": "2023-12-25",
  "bankAmount": {
    "value": 7900,
    "currency": "EUR"
  },
  "cashAmount": {
    "value": 7900,
    "currency": "EUR"
  },
  "sourceIban": "DE89370400440532013000",
  "status": "DRAFT",
  "amountMatchesInvoice": true,
  "ibanConsistent": true,
  "readyForPickup": true,
  "version": 123,
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client_credentials grant via Keycloak service account. Clients are provisioned per IntegrationOrganization in the nt24-idp realm.

Headers

Idempotency-Key
string
required

Client-generated unique key (UUID recommended) for this write operation. Identical key + identical body within 24h returns the cached response. Identical key + different body returns 422.

Required string length: 1 - 255

Path Parameters

sellerId
string<uuid>
required

UUID of the seller trade partner (must be in caller's authorized list).

uuid
string<uuid>
required

Response

Marked ready.

paymentDate
string<date>
required
bankAmount
object
required
cashAmount
object
required
sourceIban
string
Example:

"DE89370400440532013000"

status
enum<string>
Available options:
DRAFT,
SUBMITTED,
VALID,
INVALID
amountMatchesInvoice
boolean
ibanConsistent
boolean
readyForPickup
boolean
version
integer
updatedAt
string<date-time>